- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::ImageOptions::PixelWindow Struct Reference

PixelWindow stores the window (in exact pixels) from the overall imagery from which to extract the osg::Image. More...

List of all members.

## Public Member Functions
| PixelWindow ()
void | set (unsigned int x, unsigned int y, unsigned int w, unsigned int h)
## Public Attributes
unsigned int | windowX
unsigned int | windowY
unsigned int | windowWidth
unsigned int | windowHeight

## Detailed Description

PixelWindow stores the window (in exact pixels) from the overall imagery from which to extract the osg::Image.

## Constructor & Destructor Documentation

osgDB::ImageOptions::PixelWindow::PixelWindow | ( |  | ) | `[inline]`

## Member Function Documentation

void osgDB::ImageOptions::PixelWindow::set | ( | unsigned int | x,
|  | unsigned int | y,
|  | unsigned int | w,
|  | unsigned int | h
| ) | `[inline]`

## Member Data Documentation

unsigned int osgDB::ImageOptions::PixelWindow::windowHeight

unsigned int osgDB::ImageOptions::PixelWindow::windowWidth

unsigned int osgDB::ImageOptions::PixelWindow::windowX

unsigned int osgDB::ImageOptions::PixelWindow::windowY

The documentation for this struct was generated from the following file:

- ImageOptions